Item:
	.Id: equ 0
	.Tipo: equ 2
	; Chamadas de Arquivo
	.Ler: equ 4
	.Gravar: equ 8
	.IrPara: equ 12
	.Fechar: equ 16
	; Chamadas de Diretorio
	.ListarRegistro: equ 20
	.CriarArq: equ 24
	.CriarDir: equ 28
	.ExcluirRegistro: equ 32
	.AbrirRegistro: equ 36
	._Tam: equ 40

; Zera os dados de um item do Sistema de Arquivos
; es:di = Item
sisArqZerarItem:
	push di
    push ax
    push cx
    xor ax, ax
    mov cx, Item._Tam
    rep stosb
    pop cx
    pop ax
    pop di
	ret


; Grava um conteudo no arquivo
; cx = Tamanho do conteudo
; ds:si = Conteudo
; es:di = Item
; ret: cf = 1=OK|0=Erro
sisArqGravarDSES:
    clc
    es cmp word [di + Item.Gravar + 2], 0
    je .fim
        es call far [di + Item.Gravar]
    .fim:
    ret

; Grava um conteudo no arquivo
; cx = Tamanho do conteudo
; ss:si = Conteudo
; es:di = Item
; ret: cf = 1=OK|0=Erro
sisArqGravarSSES:
    push ds
    push ss
    pop ds
    call sisArqGravarDSES
    pop ds
    ret























