Dispositivo:
	.Nome: equ Item._Tam
	._TamNome: equ 60
	.Reservado: equ Item._Tam + Dispositivo._TamNome
	._TamReservado: equ 32
	._Tam: equ Dispositivo.Reservado + Dispositivo._TamReservado

DISPOSITIVOS_MAX: equ 128

_dispositivos:
    times DISPOSITIVOS_MAX dw 0,0

; Zera todos os dados de um item de dispositivo
; es:di = Dispositivo
dispositivoZerarItem:
	push di
    push ax
    push cx
    xor ax, ax
    mov cx, Dispositivo._Tam
    rep stosb
    pop cx
    pop ax
    pop di
    ret

; Cadastra um dispositivo
; es:di = Dispositivo
dispositivoRegistrar:
    push ax
    push ds
    push si
    push cx

    push cs
    pop ds
    mov si, _dispositivos
    mov cx, DISPOSITIVOS_MAX
    .buscarVazio:
        lodsw
        cmp ax, 0
        je .encontrado
        lodsw
        loop .buscarVazio
    clc
    jmp .fim
    .encontrado:
        sub si, 2
        mov ax, es
        mov [si], ax
        mov [si+2], di
        stc
    .fim:
    pop cx
    pop si
    pop ds
    pop ax
    ret


; Carrega um dispositivo
; ds:si = Nome do Dispositivo
; ret: es:di = dispositivo
dispositivoCarregarDSES:
    push ax
    push bx
    push cx
    push dx
    push si

    mov bx, _dispositivos
    mov cx, DISPOSITIVOS_MAX

    .buscar:
        cs cmp word [bx], 0
        je .naoEncontrado
        cs mov ax, [bx]
        mov es, ax
        cs mov di, [bx + 2]
        mov dx, cx
        mov cx, Dispositivo._TamNome
        push di
        add di, Dispositivo.Nome
        call txtIgualDSES
        pop di
        pop si
        push si
        jc .encontrado
        mov cx, dx
        loop .buscar
        .naoEncontrado:
            clc
            jmp .fim
        .encontrado:
        stc
    .fim:

    pop si
    pop dx
    pop cx
    pop bx
    pop ax
    ret
    
; Carrega um dispositivo
; cs:ip = Nome do Dispositivo
; ret: es:di = dispositivo
dispositivoCarregarCSES:
    push bp
    mov bp, sp
    push ax
    push bx
    push cx
    push dx
    push si
    push ds

    push cs
    pop ds

    push word [bp+2]
    pop si
    
    call dispositivoCarregarDSES
    
    mov si, [bp + 2]
    .encontraFim:
        lodsb 
        cmp al, 0
        je .encontrado
        jmp .encontraFim
    .encontrado:
    mov [bp + 2], ax

    pop ds
    pop si
    pop dx
    pop cx
    pop bx
    pop ax
    pop bp
    ret