_dispVideoTexto: times Dispositivo._Tam db 0


videoTexto:
    push ax
    push cx
    push si
    push di
    push ds

    ; Inicia o objeto deste dispositivo
	mov ax, cs
	mov es, ax
	mov di, _dispVideoTexto
	call dispositivoZerarItem

    ; Define os ponteiros no objeto
    es mov word [di + Item.Gravar], VideoTextoGravar
    mov ax, cs
    es mov [di + Item.Gravar + 2], ax

    ; Verifica o modo de video (Se eh MDA ou CGA/EGA/VGA)
    ; alem de buscar largura da tela no ah (Se eh 80 ou 40)
    mov ah, 0xf
    int 0x10
    cmp al, 7
    jne .cga
        es mov word [di + Dispositivo.Reservado], 0xb000
        es mov word [di + Dispositivo.Reservado + 6], 0xffff
        jmp .continua
    .cga:
        es mov word [di + Dispositivo.Reservado], 0xb800
        es mov word [di + Dispositivo.Reservado + 6], 0x0000
    .continua:
    es mov [di + Dispositivo.Reservado + 2], ah
    es mov byte [di + Dispositivo.Reservado + 3], 25

    ; Calcula tamanho da tela = ah (Largura) * 25 (Altura)
    mov al, ah
    xor ah, ah
    mov bx, 25
    mul bx
    es mov word [di + Dispositivo.Reservado + 4], ax
    es mov word [di + Dispositivo.Reservado + 8], 0x0000

    ; Preenche o nome do Dispositivo
    push di
    mov si, .nome
    add di, Dispositivo.Nome
    mov cx, .nomeFim - .nome
    rep movsb
    pop di

    ; Cadastra o Dispositivo
    call dispositivoRegistrar

    pop ds
    pop di
    pop si
    pop cx
    pop ax
	ret
    .nome: db "VideoTexto",0
    .nomeFim:

videoTextoDisp:
    push ax
    mov ax, cs
    mov es, ax
    mov di, _dispVideoTexto
    pop ax
    ret

VideoTextoGravar:
    push si
    push ax
    push bx
    push cx
    push dx
    push es
    push di
    lodsw
    cmp al, 'C'
    je .escreverC
    cmp al, 'L'
    je .limpar
    cmp al, 'T'
    je .tamanho
    cmp al, 'E'
    je .exibirCursor
    cmp al, 'O'
    je .ocultarCursor
    jmp .fim
    .escreverC:
        es mov ax, [di + Dispositivo.Reservado]
        es mov dx, [di + Dispositivo.Reservado+8]
        mov es, ax
        lodsw
        cmp ax, 80*25
        ja .fim
        mov di, ax
        shl di, 1
        movsw
        cmp dx, 0
        je .ignorarCursor
            shr bx, 1
            mov dx, 0x3d4
            mov al, 0xf
            out dx, al
            mov al, bl
            mov dx, 0x3d5
            out dx, al
            mov dx, 0x3d4
            mov al, 0xe
            out dx, al
            mov al, bh
            mov dx, 0x3d5
            out dx, al
        .ignorarCursor:
        jmp .fim
    .limpar:
        es mov ax, [di + Dispositivo.Reservado]
        es mov cx, [di + Dispositivo.Reservado + 4]
        mov es, ax
        xor di, di
        lodsw
        rep stosw
        jmp .fim
    .tamanho:
        es mov ah, [di + Dispositivo.Reservado+2]
        es mov al, [di + Dispositivo.Reservado+3]
        mov [si-2], ax
        jmp .fim
    .ocultarCursor:
        es mov word [di + Dispositivo.Reservado+8], 0
        mov dx, 0x3d4
        mov al, 0xa
        out dx, al
        mov dx, 0x3d5
        mov al, 0x20
        out dx, al
        jmp .fim
    .exibirCursor:
        es mov word [di + Dispositivo.Reservado+8], 1
        mov dx, 0x3d4
        mov al, 0xa
        out dx, al

        mov dx, 0x3d5
        in al, dx
        and al, 0xc0
        or al, 14
        out dx, al

        mov dx, 0xd4
        mov al, 0xb
        out dx, al
        mov dx, 0x3d5
        in al, dx
        and al, 0xc0
        or al, 15
        out dx, al
        jmp .fim
    .fim:
    pop di
    pop es
    pop dx
    pop cx
    pop bx
    pop ax
    pop si
    stc
    retf